Frequent Mn failures due to SingleLineTransformation | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1bba][@ libdvm.so + 0x2de9a] when Gecko 60 merges to Beta on 2018-03-01

RESOLVED FIXED in Firefox 60

Status

()

defect
P5
critical
RESOLVED FIXED
Last year
5 months ago

People

(Reporter: intermittent-bug-filer, Assigned: vlad.baicu)

Tracking

({crash, intermittent-failure})

unspecified
Firefox 61
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox58 unaffected, firefox59 unaffected, firefox60+ fixed, firefox61 fixed)

Details

(Whiteboard: [Leanplum] [60], crash signature)

Attachments

(1 attachment)

Reporter

Description

Last year
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=164890976&repo=try

https://queue.taskcluster.net/v1/task/Yz-l1lEQT_WDDtJbuK0U1Q/runs/0/artifacts/public/logs/live_backing.log

This is failing for this push: https://treeherder.mozilla.org/#/jobs?repo=try&revision=47f90d887c656d192abaf8cb49f2558eb7af72a2&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable&filter-resultStatus=pending&filter-resultStatus=running&selectedJob=164890976
Bad build?

[task 2018-02-28T17:30:13.557Z] 17:30:13     INFO -  TEST-START | testing/marionette/harness/marionette_harness/tests/unit/test_screenshot.py TestScreenCaptureContent.test_highlight_elements
[task 2018-02-28T17:30:20.596Z] 17:30:20     INFO -  mozcrash Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmpXOtEvx/273f6a64-2c2f-8264-410d-cc7d71974438.dmp /builds/worker/workspace/build/symbols
[task 2018-02-28T17:30:32.165Z] 17:30:32     INFO -  mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/273f6a64-2c2f-8264-410d-cc7d71974438.dmp
[task 2018-02-28T17:30:32.165Z] 17:30:32     INFO -  mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/273f6a64-2c2f-8264-410d-cc7d71974438.extra
[task 2018-02-28T17:30:32.170Z] 17:30:32  WARNING -  PROCESS-CRASH | testing/marionette/harness/marionette_harness/tests/unit/test_screenshot.py TestScreenCaptureContent.test_highlight_elements | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1bba]
[task 2018-02-28T17:30:32.170Z] 17:30:32     INFO -  Crash dump filename: /tmp/tmpXOtEvx/273f6a64-2c2f-8264-410d-cc7d71974438.dmp
[task 2018-02-28T17:30:32.170Z] 17:30:32     INFO -  Operating system: Android
[task 2018-02-28T17:30:32.170Z] 17:30:32     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -  CPU: arm
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -       1 CPU
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -  GPU: UNKNOWN
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -  Crash reason:  SIGSEGV
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -  Crash address: 0x9af9f000
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -  Process uptime: not available
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -  Thread 0 (crashed)
[task 2018-02-28T17:30:32.173Z] 17:30:32     INFO -   0  dalvik-jit-code-cache (deleted) + 0x1bba
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -       r0 = 0x4d7cf800    r1 = 0x4d7cf800    r2 = 0x55f01b94    r3 = 0xffffffdc
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -       r4 = 0x41627530    r5 = 0x4c4669dc    r6 = 0x2a00d090    r7 = 0x4c68f820
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -       r8 = 0x00000000    r9 = 0x00001faa   r10 = 0x4c4669c8   r12 = 0x2a505790
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -       fp = 0x41b6de80    sp = 0xbefb8758    lr = 0x55f01b5f    pc = 0x55f01bba
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -      Found by: given as instruction pointer in context
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -   1  libdvm.so + 0x2de9a
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -       sp = 0xbefb8764    pc = 0x4086be9c
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.174Z] 17:30:32     INFO -   2  dalvik-LinearAlloc (deleted) + 0xa79b6
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -       sp = 0xbefb8778    pc = 0x4c50e9b8
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -   3  dalvik-heap (deleted) + 0x28968a
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -       sp = 0xbefb877c    pc = 0x4173e68c
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -   4  libdvm.so + 0x2b582
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -       sp = 0xbefb8780    pc = 0x40869584
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -   5  dalvik-heap (deleted) + 0x18e066
[task 2018-02-28T17:30:32.175Z] 17:30:32     INFO -       sp = 0xbefb878c    pc = 0x41643068
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -   6  framework.odex + 0x50c326
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -       sp = 0xbefb8790    pc = 0x4dfde328
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -   7  dalvik-LinearAlloc (deleted) + 0xc2a6
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -       sp = 0xbefb8798    pc = 0x4c4732a8
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -   8  core.odex + 0x364ffe
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -       sp = 0xbefb879c    pc = 0x4d7cd000
[task 2018-02-28T17:30:32.176Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.177Z] 17:30:32     INFO -   9  dalvik-heap (deleted) + 0x2895f6
[task 2018-02-28T17:30:32.177Z] 17:30:32     INFO -       sp = 0xbefb87a0    pc = 0x4173e5f8
[task 2018-02-28T17:30:32.177Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.177Z] 17:30:32     INFO -  10  dalvik-LinearAlloc (deleted) + 0xa79b6
[task 2018-02-28T17:30:32.177Z] 17:30:32     INFO -       sp = 0xbefb87f8    pc = 0x4c50e9b8
[task 2018-02-28T17:30:32.177Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.177Z] 17:30:32     INFO -  11  libdvm.so + 0xa9c86
[task 2018-02-28T17:30:32.178Z] 17:30:32     INFO -       sp = 0xbefb87fc    pc = 0x408e7c88
[task 2018-02-28T17:30:32.178Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.178Z] 17:30:32     INFO -  12  dalvik-heap (deleted) + 0x2a6
[task 2018-02-28T17:30:32.178Z] 17:30:32     INFO -       sp = 0xbefb8804    pc = 0x414b52a8
[task 2018-02-28T17:30:32.178Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.178Z] 17:30:32     INFO -  13  dalvik-heap (deleted) + 0x2895b2
[task 2018-02-28T17:30:32.179Z] 17:30:32     INFO -       sp = 0xbefb8808    pc = 0x4173e5b4
[task 2018-02-28T17:30:32.179Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.179Z] 17:30:32     INFO -  14  libdvm.so + 0x5ff7d
[task 2018-02-28T17:30:32.179Z] 17:30:32     INFO -       sp = 0xbefb8810    pc = 0x4089df7f
[task 2018-02-28T17:30:32.179Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.180Z] 17:30:32     INFO -  15  dalvik-heap (deleted) + 0x281006
[task 2018-02-28T17:30:32.180Z] 17:30:32     INFO -       sp = 0xbefb8818    pc = 0x41736008
[task 2018-02-28T17:30:32.180Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.180Z] 17:30:32     INFO -  16  dalvik-heap (deleted) + 0x289676
[task 2018-02-28T17:30:32.180Z] 17:30:32     INFO -       sp = 0xbefb8824    pc = 0x4173e678
[task 2018-02-28T17:30:32.180Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.181Z] 17:30:32     INFO -  17  dalvik-heap (deleted) + 0x281006
[task 2018-02-28T17:30:32.181Z] 17:30:32     INFO -       sp = 0xbefb8828    pc = 0x41736008
[task 2018-02-28T17:30:32.181Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.181Z] 17:30:32     INFO -  18  libdvm.so + 0xa9c86
[task 2018-02-28T17:30:32.181Z] 17:30:32     INFO -       sp = 0xbefb882c    pc = 0x408e7c88
[task 2018-02-28T17:30:32.182Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.182Z] 17:30:32     INFO -  19  libdvm.so + 0x713a7
[task 2018-02-28T17:30:32.182Z] 17:30:32     INFO -       sp = 0xbefb8830    pc = 0x408af3a9
[task 2018-02-28T17:30:32.182Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.183Z] 17:30:32     INFO -  20  dalvik-heap (deleted) + 0x289676
[task 2018-02-28T17:30:32.183Z] 17:30:32     INFO -       sp = 0xbefb883c    pc = 0x4173e678
[task 2018-02-28T17:30:32.183Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.183Z] 17:30:32     INFO -  21  libdvm.so + 0x7227d
[task 2018-02-28T17:30:32.184Z] 17:30:32     INFO -       sp = 0xbefb8840    pc = 0x408b027f
[task 2018-02-28T17:30:32.184Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.184Z] 17:30:32     INFO -  22  libdvm.so + 0xa9c86
[task 2018-02-28T17:30:32.184Z] 17:30:32     INFO -       sp = 0xbefb8844    pc = 0x408e7c88
[task 2018-02-28T17:30:32.185Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.185Z] 17:30:32     INFO -  23  libdvm.so + 0xa9c86
[task 2018-02-28T17:30:32.185Z] 17:30:32     INFO -       sp = 0xbefb8848    pc = 0x408e7c88
[task 2018-02-28T17:30:32.185Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.186Z] 17:30:32     INFO -  24  dalvik-heap (deleted) + 0x289676
[task 2018-02-28T17:30:32.186Z] 17:30:32     INFO -       sp = 0xbefb884c    pc = 0x4173e678
[task 2018-02-28T17:30:32.186Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.186Z] 17:30:32     INFO -  25  libdvm.so + 0xae19e
[task 2018-02-28T17:30:32.187Z] 17:30:32     INFO -       sp = 0xbefb8850    pc = 0x408ec1a0
[task 2018-02-28T17:30:32.187Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.187Z] 17:30:32     INFO -  26  libdvm.so + 0x29dee
[task 2018-02-28T17:30:32.187Z] 17:30:32     INFO -       sp = 0xbefb8858    pc = 0x40867df0
[task 2018-02-28T17:30:32.187Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.188Z] 17:30:32     INFO -  27  dalvik-heap (deleted) + 0x5c626
[task 2018-02-28T17:30:32.188Z] 17:30:32     INFO -       sp = 0xbefb8868    pc = 0x41511628
[task 2018-02-28T17:30:32.188Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.188Z] 17:30:32     INFO -  28  dalvik-LinearAlloc (deleted) + 0xa79b6
[task 2018-02-28T17:30:32.189Z] 17:30:32     INFO -       sp = 0xbefb886c    pc = 0x4c50e9b8
[task 2018-02-28T17:30:32.189Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.189Z] 17:30:32     INFO -  29  dalvik-heap (deleted) + 0x289676
[task 2018-02-28T17:30:32.190Z] 17:30:32     INFO -       sp = 0xbefb8874    pc = 0x4173e678
[task 2018-02-28T17:30:32.190Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.190Z] 17:30:32     INFO -  30  dalvik-heap (deleted) + 0x28959e
[task 2018-02-28T17:30:32.190Z] 17:30:32     INFO -       sp = 0xbefb8878    pc = 0x4173e5a0
[task 2018-02-28T17:30:32.190Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.191Z] 17:30:32     INFO -  31  dalvik-heap (deleted) + 0x2a6
[task 2018-02-28T17:30:32.191Z] 17:30:32     INFO -       sp = 0xbefb887c    pc = 0x414b52a8
[task 2018-02-28T17:30:32.191Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.192Z] 17:30:32     INFO -  32  libdvm.so + 0x67aa1
[task 2018-02-28T17:30:32.192Z] 17:30:32     INFO -       sp = 0xbefb8888    pc = 0x408a5aa3
[task 2018-02-28T17:30:32.192Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.192Z] 17:30:32     INFO -  33  dalvik-heap (deleted) + 0x2a6
[task 2018-02-28T17:30:32.192Z] 17:30:32     INFO -       sp = 0xbefb888c    pc = 0x414b52a8
[task 2018-02-28T17:30:32.193Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.193Z] 17:30:32     INFO -  34  dalvik-LinearAlloc (deleted) + 0xbe3e
[task 2018-02-28T17:30:32.193Z] 17:30:32     INFO -       sp = 0xbefb8894    pc = 0x4c472e40
[task 2018-02-28T17:30:32.193Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.194Z] 17:30:32     INFO -  35  core.odex + 0xb3418
[task 2018-02-28T17:30:32.194Z] 17:30:32     INFO -       sp = 0xbefb8898    pc = 0x4d51b41a
[task 2018-02-28T17:30:32.194Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.194Z] 17:30:32     INFO -  36  dalvik-heap (deleted) + 0x4306
[task 2018-02-28T17:30:32.194Z] 17:30:32     INFO -       sp = 0xbefb88a4    pc = 0x414b9308
[task 2018-02-28T17:30:32.194Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.194Z] 17:30:32     INFO -  37  libdvm.so + 0x1ddbe
[task 2018-02-28T17:30:32.195Z] 17:30:32     INFO -       sp = 0xbefb88a8    pc = 0x4085bdc0
[task 2018-02-28T17:30:32.195Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.195Z] 17:30:32     INFO -  38  libdvm.so + 0x27062
[task 2018-02-28T17:30:32.195Z] 17:30:32     INFO -       sp = 0xbefb88b8    pc = 0x40865064
[task 2018-02-28T17:30:32.195Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.195Z] 17:30:32     INFO -  39  libdvm.so + 0x2de9a
[task 2018-02-28T17:30:32.195Z] 17:30:32     INFO -       sp = 0xbefb88c4    pc = 0x4086be9c
[task 2018-02-28T17:30:32.196Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.196Z] 17:30:32     INFO -  40  dalvik-LinearAlloc (deleted) + 0x9cc2e
[task 2018-02-28T17:30:32.196Z] 17:30:32     INFO -       sp = 0xbefb88d8    pc = 0x4c503c30
[task 2018-02-28T17:30:32.196Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.196Z] 17:30:32     INFO -  41  libdvm.so + 0x2b582
[task 2018-02-28T17:30:32.196Z] 17:30:32     INFO -       sp = 0xbefb88e0    pc = 0x40869584
[task 2018-02-28T17:30:32.196Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.197Z] 17:30:32     INFO -  42  libdvm.so + 0x8e7f3
[task 2018-02-28T17:30:32.197Z] 17:30:32     INFO -       sp = 0xbefb88e4    pc = 0x408cc7f5
[task 2018-02-28T17:30:32.197Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.197Z] 17:30:32     INFO -  43  libdvm.so + 0x8e668
[task 2018-02-28T17:30:32.197Z] 17:30:32     INFO -       sp = 0xbefb88e8    pc = 0x408cc66a
[task 2018-02-28T17:30:32.197Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.197Z] 17:30:32     INFO -  44  framework.odex + 0x66b635
[task 2018-02-28T17:30:32.198Z] 17:30:32     INFO -       sp = 0xbefb8958    pc = 0x4e13d637
[task 2018-02-28T17:30:32.198Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.198Z] 17:30:32     INFO -  45  dalvik-LinearAlloc (deleted) + 0x9cc2e
[task 2018-02-28T17:30:32.198Z] 17:30:32     INFO -       sp = 0xbefb8964    pc = 0x4c503c30
[task 2018-02-28T17:30:32.198Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.198Z] 17:30:32     INFO -  46  libdvm.so + 0x5fcbf
[task 2018-02-28T17:30:32.198Z] 17:30:32     INFO -       sp = 0xbefb8970    pc = 0x4089dcc1
[task 2018-02-28T17:30:32.199Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.199Z] 17:30:32     INFO -  47  dalvik-LinearAlloc (deleted) + 0x9cc2e
[task 2018-02-28T17:30:32.199Z] 17:30:32     INFO -       sp = 0xbefb8978    pc = 0x4c503c30
[task 2018-02-28T17:30:32.199Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.200Z] 17:30:32     INFO -  48  dalvik-LinearAlloc (deleted) + 0x9cc2e
[task 2018-02-28T17:30:32.200Z] 17:30:32     INFO -       sp = 0xbefb8980    pc = 0x4c503c30
[task 2018-02-28T17:30:32.200Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.200Z] 17:30:32     INFO -  49  libdvm.so + 0x8e6bb
[task 2018-02-28T17:30:32.201Z] 17:30:32     INFO -       sp = 0xbefb8994    pc = 0x408cc6bd
[task 2018-02-28T17:30:32.201Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.201Z] 17:30:32     INFO -  50  libdvm.so + 0x499ad
[task 2018-02-28T17:30:32.201Z] 17:30:32     INFO -       sp = 0xbefb89a0    pc = 0x408879af
[task 2018-02-28T17:30:32.202Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.202Z] 17:30:32     INFO -  51  libdvm.so + 0x8e6bb
[task 2018-02-28T17:30:32.202Z] 17:30:32     INFO -       sp = 0xbefb89b4    pc = 0x408cc6bd
[task 2018-02-28T17:30:32.202Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.203Z] 17:30:32     INFO -  52  dalvik-LinearAlloc (deleted) + 0x9cc2e
[task 2018-02-28T17:30:32.203Z] 17:30:32     INFO -       sp = 0xbefb89b8    pc = 0x4c503c30
[task 2018-02-28T17:30:32.203Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.203Z] 17:30:32     INFO -  53  dalvik-LinearAlloc (deleted) + 0x9cc2e
[task 2018-02-28T17:30:32.203Z] 17:30:32     INFO -       sp = 0xbefb89c0    pc = 0x4c503c30
[task 2018-02-28T17:30:32.204Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.204Z] 17:30:32     INFO -  54  libdvm.so + 0x3cb3d
[task 2018-02-28T17:30:32.204Z] 17:30:32     INFO -       sp = 0xbefb89c8    pc = 0x4087ab3f
[task 2018-02-28T17:30:32.204Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.205Z] 17:30:32     INFO -  55  dalvik-LinearAlloc (deleted) + 0x9cc2e
[task 2018-02-28T17:30:32.205Z] 17:30:32     INFO -       sp = 0xbefb89d0    pc = 0x4c503c30
[task 2018-02-28T17:30:32.205Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.205Z] 17:30:32     INFO -  56  libdvm.so + 0x8e7f7
[task 2018-02-28T17:30:32.206Z] 17:30:32     INFO -       sp = 0xbefb89d4    pc = 0x408cc7f9
[task 2018-02-28T17:30:32.206Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.206Z] 17:30:32     INFO -  57  libdvm.so + 0xa43b7
[task 2018-02-28T17:30:32.206Z] 17:30:32     INFO -       sp = 0xbefb89dc    pc = 0x408e23b9
[task 2018-02-28T17:30:32.207Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.207Z] 17:30:32     INFO -  58  libandroid_runtime.so + 0x8d6ff
[task 2018-02-28T17:30:32.207Z] 17:30:32     INFO -       sp = 0xbefb89e4    pc = 0x40193701
[task 2018-02-28T17:30:32.207Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.208Z] 17:30:32     INFO -  59  app_process + 0x13a2
[task 2018-02-28T17:30:32.208Z] 17:30:32     INFO -       sp = 0xbefb89e8    pc = 0x2a0013a4
[task 2018-02-28T17:30:32.208Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.208Z] 17:30:32     INFO -  60  libdvm.so + 0x3cad3
[task 2018-02-28T17:30:32.209Z] 17:30:32     INFO -       sp = 0xbefb89ec    pc = 0x4087aad5
[task 2018-02-28T17:30:32.209Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.209Z] 17:30:32     INFO -  61  libandroid_runtime.so + 0x8dcc5
[task 2018-02-28T17:30:32.209Z] 17:30:32     INFO -       sp = 0xbefb89fc    pc = 0x40193cc7
[task 2018-02-28T17:30:32.210Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.210Z] 17:30:32     INFO -  62  libandroid_runtime.so + 0x4b68f
[task 2018-02-28T17:30:32.210Z] 17:30:32     INFO -       sp = 0xbefb8a08    pc = 0x40151691
[task 2018-02-28T17:30:32.210Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.210Z] 17:30:32     INFO -  63  app_process + 0x13a2
[task 2018-02-28T17:30:32.211Z] 17:30:32     INFO -       sp = 0xbefb8a14    pc = 0x2a0013a4
[task 2018-02-28T17:30:32.211Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.211Z] 17:30:32     INFO -  64  libandroid_runtime.so + 0x4c311
[task 2018-02-28T17:30:32.211Z] 17:30:32     INFO -       sp = 0xbefb8a18    pc = 0x40152313
[task 2018-02-28T17:30:32.211Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.212Z] 17:30:32     INFO -  65  dalvik-LinearAlloc (deleted) + 0x9cc2e
[task 2018-02-28T17:30:32.212Z] 17:30:32     INFO -       sp = 0xbefb8a1c    pc = 0x4c503c30
[task 2018-02-28T17:30:32.212Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.212Z] 17:30:32     INFO -  66  libc.so + 0x105f5
[task 2018-02-28T17:30:32.213Z] 17:30:32     INFO -       sp = 0xbefb8a48    pc = 0x400375f7
[task 2018-02-28T17:30:32.213Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.213Z] 17:30:32     INFO -  67  linker + 0x1064e
[task 2018-02-28T17:30:32.213Z] 17:30:32     INFO -       sp = 0xbefb8a4c    pc = 0x40010650
[task 2018-02-28T17:30:32.214Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.214Z] 17:30:32     INFO -  68  libutils.so + 0x128f7
[task 2018-02-28T17:30:32.214Z] 17:30:32     INFO -       sp = 0xbefb8a60    pc = 0x400af8f9
[task 2018-02-28T17:30:32.214Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.215Z] 17:30:32     INFO -  69  libutils.so + 0x1255d
[task 2018-02-28T17:30:32.215Z] 17:30:32     INFO -       sp = 0xbefb8a68    pc = 0x400af55f
[task 2018-02-28T17:30:32.215Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.215Z] 17:30:32     INFO -  70  libutils.so + 0x12951
[task 2018-02-28T17:30:32.216Z] 17:30:32     INFO -       sp = 0xbefb8a78    pc = 0x400af953
[task 2018-02-28T17:30:32.216Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.216Z] 17:30:32     INFO -  71  libandroid_runtime.so + 0x4b969
[task 2018-02-28T17:30:32.217Z] 17:30:32     INFO -       sp = 0xbefb8a90    pc = 0x4015196b
[task 2018-02-28T17:30:32.217Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.217Z] 17:30:32     INFO -  72  app_process + 0x12f6
[task 2018-02-28T17:30:32.217Z] 17:30:32     INFO -       sp = 0xbefb8a98    pc = 0x2a0012f8
[task 2018-02-28T17:30:32.218Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.218Z] 17:30:32     INFO -  73  app_process + 0x2f6e
[task 2018-02-28T17:30:32.218Z] 17:30:32     INFO -       sp = 0xbefb8a9c    pc = 0x2a002f70
[task 2018-02-28T17:30:32.218Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.219Z] 17:30:32     INFO -  74  app_process + 0x105d
[task 2018-02-28T17:30:32.219Z] 17:30:32     INFO -       sp = 0xbefb8ab0    pc = 0x2a00105f
[task 2018-02-28T17:30:32.219Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.219Z] 17:30:32     INFO -  75  app_process + 0x1368
[task 2018-02-28T17:30:32.220Z] 17:30:32     INFO -       sp = 0xbefb8ac8    pc = 0x2a00136a
[task 2018-02-28T17:30:32.220Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.220Z] 17:30:32     INFO -  76  app_process + 0x12f6
[task 2018-02-28T17:30:32.221Z] 17:30:32     INFO -       sp = 0xbefb8acc    pc = 0x2a0012f8
[task 2018-02-28T17:30:32.221Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.221Z] 17:30:32     INFO -  77  app_process + 0x1371
[task 2018-02-28T17:30:32.221Z] 17:30:32     INFO -       sp = 0xbefb8ad0    pc = 0x2a001373
[task 2018-02-28T17:30:32.221Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.222Z] 17:30:32     INFO -  78  app_process + 0x1387
[task 2018-02-28T17:30:32.222Z] 17:30:32     INFO -       sp = 0xbefb8ad4    pc = 0x2a001389
[task 2018-02-28T17:30:32.222Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.222Z] 17:30:32     INFO -  79  app_process + 0x1395
[task 2018-02-28T17:30:32.222Z] 17:30:32     INFO -       sp = 0xbefb8ad8    pc = 0x2a001397
[task 2018-02-28T17:30:32.223Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.223Z] 17:30:32     INFO -  80  app_process + 0x2e06
[task 2018-02-28T17:30:32.224Z] 17:30:32     INFO -       sp = 0xbefb8adc    pc = 0x2a002e08
[task 2018-02-28T17:30:32.224Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.224Z] 17:30:32     INFO -  81  libandroid_runtime.so + 0xa2446
[task 2018-02-28T17:30:32.224Z] 17:30:32     INFO -       sp = 0xbefb8ae0    pc = 0x401a8448
[task 2018-02-28T17:30:32.224Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.224Z] 17:30:32     INFO -  82  linker + 0xfed6
[task 2018-02-28T17:30:32.224Z] 17:30:32     INFO -       sp = 0xbefb8b10    pc = 0x4000fed8
[task 2018-02-28T17:30:32.225Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.225Z] 17:30:32     INFO -  83  linker + 0x236
[task 2018-02-28T17:30:32.225Z] 17:30:32     INFO -       sp = 0xbefb8b24    pc = 0x40000238
[task 2018-02-28T17:30:32.225Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.226Z] 17:30:32     INFO -  84  linker + 0x146
[task 2018-02-28T17:30:32.226Z] 17:30:32     INFO -       sp = 0xbefb8b28    pc = 0x40000148
[task 2018-02-28T17:30:32.226Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.226Z] 17:30:32     INFO -  85  linker + 0x2ee
[task 2018-02-28T17:30:32.227Z] 17:30:32     INFO -       sp = 0xbefb8b34    pc = 0x400002f0
[task 2018-02-28T17:30:32.227Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.227Z] 17:30:32     INFO -  86  linker + 0x2fa
[task 2018-02-28T17:30:32.227Z] 17:30:32     INFO -       sp = 0xbefb8b38    pc = 0x400002fc
[task 2018-02-28T17:30:32.227Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.228Z] 17:30:32     INFO -  87  linker + 0xffe6
[task 2018-02-28T17:30:32.228Z] 17:30:32     INFO -       sp = 0xbefb8b3c    pc = 0x4000ffe8
[task 2018-02-28T17:30:32.228Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.229Z] 17:30:32     INFO -  88  linker + 0x9de
[task 2018-02-28T17:30:32.229Z] 17:30:32     INFO -       sp = 0xbefb8b40    pc = 0x400009e0
[task 2018-02-28T17:30:32.229Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.229Z] 17:30:32     INFO -  89  linker + 0x336
[task 2018-02-28T17:30:32.229Z] 17:30:32     INFO -       sp = 0xbefb8b48    pc = 0x40000338
[task 2018-02-28T17:30:32.229Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.230Z] 17:30:32     INFO -  90  linker + 0xfece
[task 2018-02-28T17:30:32.230Z] 17:30:32     INFO -       sp = 0xbefb8b58    pc = 0x4000fed0
[task 2018-02-28T17:30:32.230Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.230Z] 17:30:32     INFO -  91  libc.so + 0x119fb
[task 2018-02-28T17:30:32.231Z] 17:30:32     INFO -       sp = 0xbefb8b64    pc = 0x400389fd
[task 2018-02-28T17:30:32.231Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.231Z] 17:30:32     INFO -  92  app_process + 0xe87
[task 2018-02-28T17:30:32.231Z] 17:30:32     INFO -       sp = 0xbefb8b80    pc = 0x2a000e89
[task 2018-02-28T17:30:32.231Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.231Z] 17:30:32     INFO -  93  libc.so + 0xdb4f
[task 2018-02-28T17:30:32.232Z] 17:30:32     INFO -       sp = 0xbefb8b90    pc = 0x40034b51
[task 2018-02-28T17:30:32.232Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.232Z] 17:30:32     INFO -  94  app_process + 0xd7e
[task 2018-02-28T17:30:32.232Z] 17:30:32     INFO -       sp = 0xbefb8ba8    pc = 0x2a000d80
[task 2018-02-28T17:30:32.232Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.233Z] 17:30:32     INFO -  95  app_process + 0x2de6
[task 2018-02-28T17:30:32.233Z] 17:30:32     INFO -       sp = 0xbefb8bac    pc = 0x2a002de8
[task 2018-02-28T17:30:32.233Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.233Z] 17:30:32     INFO -  96  app_process + 0x2dee
[task 2018-02-28T17:30:32.234Z] 17:30:32     INFO -       sp = 0xbefb8bb0    pc = 0x2a002df0
[task 2018-02-28T17:30:32.234Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.234Z] 17:30:32     INFO -  97  app_process + 0x2df6
[task 2018-02-28T17:30:32.235Z] 17:30:32     INFO -       sp = 0xbefb8bb4    pc = 0x2a002df8
[task 2018-02-28T17:30:32.235Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.235Z] 17:30:32     INFO -  98  linker + 0x1847
[task 2018-02-28T17:30:32.235Z] 17:30:32     INFO -       sp = 0xbefb8bc0    pc = 0x40001849
[task 2018-02-28T17:30:32.235Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.236Z] 17:30:32     INFO -  99  app_process + 0x32
[task 2018-02-28T17:30:32.236Z] 17:30:32     INFO -       sp = 0xbefb8c34    pc = 0x2a000034
[task 2018-02-28T17:30:32.236Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.236Z] 17:30:32     INFO -  100  0x3ffffffe
[task 2018-02-28T17:30:32.237Z] 17:30:32     INFO -       sp = 0xbefb8c4c    pc = 0x40000000
[task 2018-02-28T17:30:32.237Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.237Z] 17:30:32     INFO -  101  app_process + 0xd1a
[task 2018-02-28T17:30:32.237Z] 17:30:32     INFO -       sp = 0xbefb8c5c    pc = 0x2a000d1c
[task 2018-02-28T17:30:32.237Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.238Z] 17:30:32     INFO -  102  org.mozilla.firefox_beta-1.apk + 0x114786d
[task 2018-02-28T17:30:32.238Z] 17:30:32     INFO -       sp = 0xbefb8cd4    pc = 0x625f786f
[task 2018-02-28T17:30:32.238Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.238Z] 17:30:32     INFO -  103  org.mozilla.firefox_beta-1.apk + 0x1282f6b
[task 2018-02-28T17:30:32.239Z] 17:30:32     INFO -       sp = 0xbefb8d2c    pc = 0x62732f6d
[task 2018-02-28T17:30:32.239Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.239Z] 17:30:32     INFO -  104  org.mozilla.firefox_beta-1.apk + 0xe46d63
[task 2018-02-28T17:30:32.239Z] 17:30:32     INFO -       sp = 0xbefb8d38    pc = 0x622f6d65
[task 2018-02-28T17:30:32.239Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.240Z] 17:30:32     INFO -  105  dalvik-LinearAlloc (deleted) + 0x18d44a
[task 2018-02-28T17:30:32.240Z] 17:30:32     INFO -       sp = 0xbefb8d4c    pc = 0x4c5f444c
[task 2018-02-28T17:30:32.240Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.240Z] 17:30:32     INFO -  106  dalvik-heap (deleted) + 0x6f247
[task 2018-02-28T17:30:32.241Z] 17:30:32     INFO -       sp = 0xbefb8d50    pc = 0x41524249
[task 2018-02-28T17:30:32.241Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.241Z] 17:30:32     INFO -  107  icudt50l.dat + 0x5a0950
[task 2018-02-28T17:30:32.241Z] 17:30:32     INFO -       sp = 0xbefb8d54    pc = 0x505f5952
[task 2018-02-28T17:30:32.242Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.242Z] 17:30:32     INFO -  108  data@app@org.mozilla.firefox_beta-1.apk@classes.dex + 0x54ce3f
[task 2018-02-28T17:30:32.242Z] 17:30:32     INFO -       sp = 0xbefb8d74    pc = 0x52444e41
[task 2018-02-28T17:30:32.242Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.242Z] 17:30:32     INFO -  109  libxul.so!js::frontend::BytecodeEmitter::makeAtomIndex [HashTable.h:47f90d887c656d192abaf8cb49f2558eb7af72a2 : 848 + 0x1]
[task 2018-02-28T17:30:32.243Z] 17:30:32     INFO -       sp = 0xbefb8d78    pc = 0x5f44494f
[task 2018-02-28T17:30:32.243Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.244Z] 17:30:32     INFO -  110  icudt50l.dat + 0x7c5f4a
[task 2018-02-28T17:30:32.244Z] 17:30:32     INFO -       sp = 0xbefb8d80    pc = 0x4f474f4c
[task 2018-02-28T17:30:32.244Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.244Z] 17:30:32     INFO -  111  libLLVM.so + 0x32113b
[task 2018-02-28T17:30:32.244Z] 17:30:32     INFO -       sp = 0xbefb8d84    pc = 0x4100313d
[task 2018-02-28T17:30:32.244Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.244Z] 17:30:32     INFO -  112  icudt50l.dat + 0x87544c
[task 2018-02-28T17:30:32.244Z] 17:30:32     INFO -       sp = 0xbefb8d88    pc = 0x4f52444e
[task 2018-02-28T17:30:32.245Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.245Z] 17:30:32     INFO -  113  data@app@org.mozilla.firefox_beta-1.apk@classes.dex + 0x6fc447
[task 2018-02-28T17:30:32.245Z] 17:30:32     INFO -       sp = 0xbefb8d8c    pc = 0x525f4449
[task 2018-02-28T17:30:32.245Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.245Z] 17:30:32     INFO -  114  data@app@org.mozilla.firefox_beta-1.apk@classes.dex + 0x54ce3f
[task 2018-02-28T17:30:32.246Z] 17:30:32     INFO -       sp = 0xbefb8d9c    pc = 0x52444e41
[task 2018-02-28T17:30:32.246Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.246Z] 17:30:32     INFO -  115  libxul.so!js::frontend::BytecodeEmitter::makeAtomIndex [HashTable.h:47f90d887c656d192abaf8cb49f2558eb7af72a2 : 848 + 0x1]
[task 2018-02-28T17:30:32.246Z] 17:30:32     INFO -       sp = 0xbefb8da0    pc = 0x5f44494f
[task 2018-02-28T17:30:32.247Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.247Z] 17:30:32     INFO -  116  dalvik-heap (deleted) + 0x408033f
[task 2018-02-28T17:30:32.247Z] 17:30:32     INFO -       sp = 0xbefb8da4    pc = 0x45535341
[task 2018-02-28T17:30:32.247Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.247Z] 17:30:32     INFO -  117  libxul.so!wcsrtombs + 0x188ebe6
[task 2018-02-28T17:30:32.248Z] 17:30:32     INFO -       sp = 0xbefb8db0    pc = 0x612f6d65
[task 2018-02-28T17:30:32.248Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.248Z] 17:30:32     INFO -  118  libLLVM.so + 0x32506e
[task 2018-02-28T17:30:32.248Z] 17:30:32     INFO -       sp = 0xbefb8db4    pc = 0x41007070
[task 2018-02-28T17:30:32.248Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.249Z] 17:30:32     INFO -  119  icudt50l.dat + 0x87544c
[task 2018-02-28T17:30:32.249Z] 17:30:32     INFO -       sp = 0xbefb8db8    pc = 0x4f52444e
[task 2018-02-28T17:30:32.249Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.249Z] 17:30:32     INFO -  120  dalvik-heap (deleted) + 0x313f447
[task 2018-02-28T17:30:32.250Z] 17:30:32     INFO -       sp = 0xbefb8dbc    pc = 0x445f4449
[task 2018-02-28T17:30:32.250Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.250Z] 17:30:32     INFO -  121  framework.odex + 0x93e05f
[task 2018-02-28T17:30:32.250Z] 17:30:32     INFO -       sp = 0xbefb8dc8    pc = 0x4e410061
[task 2018-02-28T17:30:32.251Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.251Z] 17:30:32     INFO -  122  dalvik-bitmap-1 (deleted) + 0x40242
[task 2018-02-28T17:30:32.251Z] 17:30:32     INFO -       sp = 0xbefb8dcc    pc = 0x494f5244
[task 2018-02-28T17:30:32.251Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.252Z] 17:30:32     INFO -  123  dalvik-heap (deleted) + 0x5f6024d
[task 2018-02-28T17:30:32.252Z] 17:30:32     INFO -       sp = 0xbefb8dd4    pc = 0x4741524f
[task 2018-02-28T17:30:32.252Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.252Z] 17:30:32     INFO -  124  org.mozilla.firefox_beta-1.apk + 0x276f72
[task 2018-02-28T17:30:32.253Z] 17:30:32     INFO -       sp = 0xbefb8ddc    pc = 0x61726f74
[task 2018-02-28T17:30:32.253Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.253Z] 17:30:32     INFO -  125  libLLVM.so + 0x324565
[task 2018-02-28T17:30:32.253Z] 17:30:32     INFO -       sp = 0xbefb8de0    pc = 0x41006567
[task 2018-02-28T17:30:32.254Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.254Z] 17:30:32     INFO -  126  libxul.so!js::wasm::OpIter<ValidatingPolicy>::readLoad [WasmBinaryIterator.h:47f90d887c656d192abaf8cb49f2558eb7af72a2 : 1272 + 0x9]
[task 2018-02-28T17:30:32.254Z] 17:30:32     INFO -       sp = 0xbefb8de4    pc = 0x5f434553
[task 2018-02-28T17:30:32.254Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.255Z] 17:30:32     INFO -  127  dalvik-aux-structure (deleted) + 0x74f4b
[task 2018-02-28T17:30:32.255Z] 17:30:32     INFO -       sp = 0xbefb8de8    pc = 0x4e554f4d
[task 2018-02-28T17:30:32.257Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.257Z] 17:30:32     INFO -  128  dalvik-bitmap-1 (deleted) + 0x40052
[task 2018-02-28T17:30:32.257Z] 17:30:32     INFO -       sp = 0xbefb8dec    pc = 0x494f5054
[task 2018-02-28T17:30:32.258Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.258Z] 17:30:32     INFO -  129  org.mozilla.firefox_beta-1.apk + 0x21a735f
[task 2018-02-28T17:30:32.258Z] 17:30:32     INFO -       sp = 0xbefb8df8    pc = 0x63657361
[task 2018-02-28T17:30:32.258Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.258Z] 17:30:32     INFO -  130  icudt50l.dat + 0x845bfe
[task 2018-02-28T17:30:32.258Z] 17:30:32     INFO -       sp = 0xbefb8dfc    pc = 0x4f4f4c00
[task 2018-02-28T17:30:32.258Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.258Z] 17:30:32     INFO -  131  icudt50l.dat + 0x826f4e
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -       sp = 0xbefb8e00    pc = 0x4f4d5f50
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -  132  icudt50l.dat + 0x4efe53
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -       sp = 0xbefb8e04    pc = 0x50544e55
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -  133  org.mozilla.firefox_beta-1.apk + 0x1242f72
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -       sp = 0xbefb8e10    pc = 0x626f2f74
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -  134  icudt50l.dat + 0x771060
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -       sp = 0xbefb8e14    pc = 0x4f420062
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -  135  dalvik-card-table (deleted) + 0xd544d
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -       sp = 0xbefb8e18    pc = 0x4c43544f
[task 2018-02-28T17:30:32.259Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.260Z] 17:30:32     INFO -  136  icudt50l.dat + 0x4e033f
[task 2018-02-28T17:30:32.260Z] 17:30:32     INFO -       sp = 0xbefb8e1c    pc = 0x50535341
[task 2018-02-28T17:30:32.260Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.260Z] 17:30:32     INFO -  137  org.mozilla.firefox_beta-1.apk + 0x27662d
[task 2018-02-28T17:30:32.261Z] 17:30:32     INFO -       sp = 0xbefb8ea4    pc = 0x6172662f
[task 2018-02-28T17:30:32.261Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.261Z] 17:30:32     INFO -  138  org.mozilla.firefox_beta-1.apk + 0x27662d
[task 2018-02-28T17:30:32.262Z] 17:30:32     INFO -       sp = 0xbefb8ec4    pc = 0x6172662f
[task 2018-02-28T17:30:32.262Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.262Z] 17:30:32     INFO -  139  org.mozilla.firefox_beta-1.apk + 0x1e27067
[task 2018-02-28T17:30:32.262Z] 17:30:32     INFO -       sp = 0xbefb8ef8    pc = 0x632d7069
[task 2018-02-28T17:30:32.263Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.263Z] 17:30:32     INFO -  140  org.mozilla.firefox_beta-1.apk + 0x1f2e6c
[task 2018-02-28T17:30:32.263Z] 17:30:32     INFO -       sp = 0xbefb8f00    pc = 0x616a2e6e
[task 2018-02-28T17:30:32.263Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.264Z] 17:30:32     INFO -  141  org.mozilla.firefox_beta-1.apk + 0x21e7670
[task 2018-02-28T17:30:32.264Z] 17:30:32     INFO -       sp = 0xbefb8f60    pc = 0x63697672
[task 2018-02-28T17:30:32.264Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.264Z] 17:30:32     INFO -  142  org.mozilla.firefox_beta-1.apk + 0x25612d
[task 2018-02-28T17:30:32.265Z] 17:30:32     INFO -       sp = 0xbefb8f7c    pc = 0x6170612f
[task 2018-02-28T17:30:32.265Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.265Z] 17:30:32     INFO -  143  dalvik-heap (deleted) + 0x4090843
[task 2018-02-28T17:30:32.265Z] 17:30:32     INFO -       sp = 0xbefb8f8c    pc = 0x45545845
[task 2018-02-28T17:30:32.266Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.266Z] 17:30:32     INFO -  144  dalvik-card-table (deleted) + 0xb4e50
[task 2018-02-28T17:30:32.266Z] 17:30:32     INFO -       sp = 0xbefb8f90    pc = 0x4c414e52
[task 2018-02-28T17:30:32.266Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.267Z] 17:30:32     INFO -  145  icudt50l.dat + 0x89635d
[task 2018-02-28T17:30:32.267Z] 17:30:32     INFO -       sp = 0xbefb8f94    pc = 0x4f54535f
[task 2018-02-28T17:30:32.267Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.268Z] 17:30:32     INFO -  146  dalvik-heap (deleted) + 0x3fbf150
[task 2018-02-28T17:30:32.268Z] 17:30:32     INFO -       sp = 0xbefb8f98    pc = 0x45474152
[task 2018-02-28T17:30:32.268Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.268Z] 17:30:32     INFO -  147  org.mozilla.firefox_beta-1.apk + 0x182f3b
[task 2018-02-28T17:30:32.268Z] 17:30:32     INFO -       sp = 0xbefb8f9c    pc = 0x61632f3d
[task 2018-02-28T17:30:32.269Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.269Z] 17:30:32     INFO -  148  dalvik-heap (deleted) + 0x302f0fe
[task 2018-02-28T17:30:32.269Z] 17:30:32     INFO -       sp = 0xbefb8fac    pc = 0x444e4100
[task 2018-02-28T17:30:32.269Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.269Z] 17:30:32     INFO -  149  dalvik-heap (deleted) + 0x2fdff50
[task 2018-02-28T17:30:32.270Z] 17:30:32     INFO -       sp = 0xbefb8fb0    pc = 0x44494f52
[task 2018-02-28T17:30:32.270Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.270Z] 17:30:32     INFO -  150  icudt50l.dat + 0x87605d
[task 2018-02-28T17:30:32.270Z] 17:30:32     INFO -       sp = 0xbefb8fb4    pc = 0x4f52505f
[task 2018-02-28T17:30:32.271Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.271Z] 17:30:32     INFO -  151  icudt50l.dat + 0x8c6f57
[task 2018-02-28T17:30:32.271Z] 17:30:32     INFO -       sp = 0xbefb8fbc    pc = 0x4f575f59
[task 2018-02-28T17:30:32.271Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.271Z] 17:30:32     INFO -  152  icudt50l.dat + 0x4dfb50
[task 2018-02-28T17:30:32.271Z] 17:30:32     INFO -       sp = 0xbefb8fc0    pc = 0x50534b52
[task 2018-02-28T17:30:32.272Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.272Z] 17:30:32     INFO -  153  data@app@org.mozilla.firefox_beta-1.apk@classes.dex + 0x54ce3f
[task 2018-02-28T17:30:32.272Z] 17:30:32     INFO -       sp = 0xbefb8fd0    pc = 0x52444e41
[task 2018-02-28T17:30:32.272Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.273Z] 17:30:32     INFO -  154  libxul.so!js::frontend::BytecodeEmitter::makeAtomIndex [HashTable.h:47f90d887c656d192abaf8cb49f2558eb7af72a2 : 848 + 0x1]
[task 2018-02-28T17:30:32.273Z] 17:30:32     INFO -       sp = 0xbefb8fd4    pc = 0x5f44494f
[task 2018-02-28T17:30:32.273Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.273Z] 17:30:32     INFO -  155  dalvik-mark-stack (deleted) + 0x1b7ff51
[task 2018-02-28T17:30:32.274Z] 17:30:32     INFO -       sp = 0xbefb8fd8    pc = 0x4b434f53
[task 2018-02-28T17:30:32.274Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.274Z] 17:30:32     INFO -  156  libxul.so!_$LT$style..properties..animated_properties..AnimationValue$u20$as$u20$core..fmt..Debug$GT$::fmt::h38233bbe3c8523ca [properties.rs: : 0 + 0x32f]
[task 2018-02-28T17:30:32.274Z] 17:30:32     INFO -       sp = 0xbefb8ff4    pc = 0x5f707061
[task 2018-02-28T17:30:32.275Z] 17:30:32     INFO -      Found by: stack scanning
[task 2018-02-28T17:30:32.275Z] 17:30:32     INFO -  157  org.mozilla.firefox_beta-1.apk + 0x224726e
[task 2018-02-28T17:30:32.276Z] 17:30:32     INFO -       sp = 0xbefb8ff8    pc = 0x636f7270
[task 2018-02-28T17:30:32.276Z] 17:30:32     INFO -      Found by: stack scanning
[Tracking Requested - why for this release]: Very frequent failure.

Henrik, this also failed frequently on the next central-as-beta run: https://treeherder.mozilla.org/#/jobs?repo=try&revision=d5df390036cea740eabc0938b6d2102908af2977&group_state=expanded&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable&selectedJob=165153839

Can you take a look at this, please? Thank you.
Flags: needinfo?(hskupin)
Summary: Intermittent testing/marionette/harness/marionette_harness/tests/unit/test_screenshot.py TestScreenCaptureContent.test_highlight_elements | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1bba] → frequent testing/marionette/harness/marionette_harness/tests/unit/test_screenshot.py TestScreenCaptureContent.test_highlight_elements | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1bba] when Gecko 60 merges to Beta on 2018-03-01
This is Fennec which crashed here. There is nothing I can do. We will have to find someone who knows this code. Also this looks like a dupe of bug 1439008, or the other way around.
Component: Testing → General
Flags: needinfo?(hskupin)
Reporter

Updated

Last year
See Also: → 1442891
Android debug Marionette are almost permafails on beta now. Snorp, can you take a look at this, please?
Flags: needinfo?(snorp)
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1443051
Duplicate of this bug: 1443395
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1444650
Hi Nick, this is frequent on beta. Can you take a look at this or redirect the request, please? Thank you.
Flags: needinfo?(nalexander)
(In reply to Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) from comment #9)
> Hi Nick, this is frequent on beta. Can you take a look at this or redirect
> the request, please? Thank you.

The best I can do is add jchen to the mix and ask for some help from the Marionette team.

jchen: the stack looks like it's the style system crashing, although I see code that looks like it might be entering JNI stuff in places I don't expect, like:

[task 2018-03-01T12:00:33.553Z] 12:00:33     INFO -  106  dalvik-heap (deleted) + 0x6f247
[task 2018-03-01T12:00:33.553Z] 12:00:33     INFO -       sp = 0xbea3dd50    pc = 0x41524249
[task 2018-03-01T12:00:33.553Z] 12:00:33     INFO -      Found by: stack scanning
[task 2018-03-01T12:00:33.553Z] 12:00:33     INFO -  107  icudt50l.dat + 0x5a0950
[task 2018-03-01T12:00:33.554Z] 12:00:33     INFO -       sp = 0xbea3dd54    pc = 0x505f5952
[task 2018-03-01T12:00:33.554Z] 12:00:33     INFO -      Found by: stack scanning
[task 2018-03-01T12:00:33.554Z] 12:00:33     INFO -  108  data@app@org.mozilla.firefox_beta-1.apk@classes.dex + 0x54ce3f
[task 2018-03-01T12:00:33.554Z] 12:00:33     INFO -       sp = 0xbea3dd74    pc = 0x52444e41
[task 2018-03-01T12:00:33.554Z] 12:00:33     INFO -      Found by: stack scanning
[task 2018-03-01T12:00:33.554Z] 12:00:33     INFO -  109  libxul.so!_$LT$style_traits..values..SequenceWriter$LT$$u27$a$C$$u20$$u27$b$C$$u20$W$GT$$GT$::item::he5aaed1731e8ab1a [values.rs:d5df390036cea740eabc0938b6d2102908af2977 : 113 + 0x9]
[task 2018-03-01T12:00:33.554Z] 12:00:33     INFO -       sp = 0xbea3dd78    pc = 0x5f44494f
[task 2018-03-01T12:00:33.554Z] 12:00:33     INFO -      Found by: stack scanning

That looks like the style system calling into classes.dex into something to do with ICU... that's weird to me.  Can you comment?

henrik: Can we get marionette to print verbose logs, so we can see which Marionette (Python) invocation is crashing and try to narrow this down?
Flags: needinfo?(nchen)
Flags: needinfo?(nalexander)
Flags: needinfo?(hskupin)
Duplicate of this bug: 1444933
(In reply to Nick Alexander :nalexander from comment #10)
> henrik: Can we get marionette to print verbose logs, so we can see which
> Marionette (Python) invocation is crashing and try to narrow this down?

Huh, aren't we doing that for Marionette tests on Android? Checking now... and yes we do but given that the Gecko log ends-up in logcat, it only ends-up in the gecko.log and not the standard log file:

https://taskcluster-artifacts.net/MJ7F5JiGSbCOTtPMqyN5Gw/0/public/test_info//gecko.log

Sadly this makes it hard to tell where exactly the crash happened, but I think it happens directly after loading `about:blank`:

03-10 11:25:01.445 I/Gecko   (  733): 1520709901454	Marionette	TRACE	73 -> [0,5,"get",{"url":"about:blank"}]
03-10 11:25:01.724 I/Gecko   (  733): 1520709901732	Marionette	DEBUG	Received DOM event beforeunload for about:blank
03-10 11:25:01.874 I/Gecko   (  733): 1520709901880	Marionette	DEBUG	Received DOM event pagehide for about:blank
03-10 11:25:01.924 I/Gecko   (  733): ++DOMWINDOW == 19 (0x545af000) [pid = 733] [serial = 498] [outer = 0x56be9480]
03-10 11:25:03.774 I/Gecko   (  733): 1520709903782	Marionette	DEBUG	Received DOM event DOMContentLoaded for about:blank
03-10 11:25:04.064 I/Gecko   (  733): 1520709904066	Marionette	DEBUG	Received DOM event pageshow for about:blank
03-10 11:25:04.545 I/Gecko   (  733): --DOMWINDOW == 18 (0x54467fc0) [pid = 733] [serial = 487] [outer = 0x0] [url = http://172.17.0.5:36197/slow?delay=3]
03-10 11:25:04.615 I/Gecko   (  733): 1520709904604	Marionette	TRACE	73 <- [1,5,null,{}]
03-10 11:25:28.205 I/Gecko   ( 2195): [2195, Unnamed thread 52c11080] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/workspace/build/src/xpcom/base/nsTraceRefcnt.cpp, line 194

Here we have a 24s gap, which matches the time from the other log.
Flags: needinfo?(hskupin)
Looks like the first frame (dalvik-jit-code-cache) of the crashing thread is not always present, and it happens for different tests:

https://treeherder.mozilla.org/logviewer.html#?job_id=167461208&repo=autoland&lineNumber=2017-2023
Crash Signature: [@ dalvik-jit-code-cache (deleted) + 0x1bba] → [@ dalvik-jit-code-cache (deleted) + 0x1bba] [@ libdvm.so + 0x2de9a]
Summary: frequent testing/marionette/harness/marionette_harness/tests/unit/test_screenshot.py TestScreenCaptureContent.test_highlight_elements | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1bba] when Gecko 60 merges to Beta on 2018-03-01 → Frequent Mn failures | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1bba][@ libdvm.so + 0x2de9a] when Gecko 60 merges to Beta on 2018-03-01
Duplicate of this bug: 1445097
The stack frames are probably not very reliable. Considering the crash happened on the UI thread in Dalvik/Java code, I wouldn't be surprised if we're running into a Dalvik bug of some kind.
Flags: needinfo?(nchen)
Duplicate of this bug: 1445432
Duplicate of this bug: 1445549
Please note that all of the crashes so far are recorded from tests which trigger a scroll event in the content process. Maybe that helps you...
Duplicate of this bug: 1445548
We don't really have bandwidth to try to look at this currently.
Flags: needinfo?(snorp)
Duplicate of this bug: 1446308
Duplicate of this bug: 1446662
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1446413
Would it be acceptable to disabled to disable both test_click_scrolling.py and test_screenshot.py on Android debug?
Duplicate of this bug: 1447647
Duplicate of this bug: 1447646
(In reply to Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) from comment #26)
> Would it be acceptable to disabled to disable both test_click_scrolling.py
> and test_screenshot.py on Android debug?

Before we take this into account, how complicated would it be to backfill? We could first check when this started. Sadly it's all scattered around x number of bugs.
Flags: needinfo?(aryx.bugmail)
Duplicate of this bug: 1447625
Like this bug's title mentions, it started in beta simulations, first failure on 2018-02-28:

https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1442054&endday=2018-03-21&startday=2018-02-01&tree=all

Mn2 didn't fail on 2018-02-27, feel free to add retriggers: https://treeherder.mozilla.org/#/jobs?repo=try&revision=9ec6689e15c05b3010008a2fbc28e450c1b2b0da&filter-searchStr=android%20marionette&group_state=expanded

It later hit trunk and got more frequent, might depend on the chunking of the tests.
Flags: needinfo?(aryx.bugmail)
Ok, so we have:

pass: https://treeherder.mozilla.org/#/jobs?repo=try&revision=9ec6689e15c05b3010008a2fbc28e450c1b2b0da&filter-searchStr=android%20marionette&group_state=expanded

fail: https://treeherder.mozilla.org/#/jobs?repo=try&revision=47f90d887c656d192abaf8cb49f2558eb7af72a2&filter-searchStr=mn%20android

Sebastian, can you tell me based on which changesets from mozilla-central / mozilla-beta those merge tries have been performed? I have a hard time to figure that out.
Flags: needinfo?(aryx.bugmail)
Also ni? on Ryan given that Sebastian seems to be away for a while now.
Flags: needinfo?(ryanvm)
Julien gave me a link to a Google spreadsheet with details of what happened for those merge simulations. And I think we talk about the following changesets:

2018-02-27:
Base revision: https://hg.mozilla.org/mozilla-central/rev/bd6e200b5a6b 

2018-02-28 Run 1:
Base revision: https://hg.mozilla.org/mozilla-central/rev/ee326c976eeb

Would that be the correct list of changes in the following pushlog, or do I also have to take the changes on mozilla-beta into account? Not sure how to get the information.

https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=bd6e200b5a6b&tochange=ee326c976eeb

Also what I'm not sure about is what `early` and `late` beta means in that Google spreadsheet.
The simulation runs are exactly what they sound like - pushes on top of m-c to simulate what would happen if the merge were today. Any changes already on Beta are irrelevant. So yes, your pushlog range looks correct.

Early vs. Late Beta refers to the EARLY_BETA_OR_EARLIER flag which gets flipped halfway during the cycle.
https://wiki.mozilla.org/Platform/Channel-specific_build_defines
Flags: needinfo?(ryanvm)
The pushlog is correct. Mozilla-beta hasn't to be taken into account, the simulation only changes configs on mozilla-central.

The only difference between early and late beta is if the flag EARLY_BETA_OR_EARLIER returns true or false.

Because Try data gets thrown away after 2 (?) weeks, new Try pushes were necessary and they show that 2018-02-28 had those failures but 2018-02-27 had them also but those jobs got automatically retried like when the worker instance gets regarded as problematic. Click on the blue jobs to see the failures there.

2018-02-27:
Base revision: https://hg.mozilla.org/mozilla-central/rev/bd6e200b5a6b 
New Try push: https://treeherder.mozilla.org/#/jobs?repo=try&revision=f2c537774f8b767739fbbdaf4269a82b2fd4ed6e&selectedJob=169640313

2018-02-28 Run 1:
Base revision: https://hg.mozilla.org/mozilla-central/rev/ee326c976eeb
New Try push: https://treeherder.mozilla.org/#/jobs?repo=try&revision=2aeb943001c5361babb014c8f94e82b7cc3804a5&selectedJob=169628885
Flags: needinfo?(aryx.bugmail)
Duplicate of this bug: 1448469
Duplicate of this bug: 1448468
Crash Signature: [@ dalvik-jit-code-cache (deleted) + 0x1bba] [@ libdvm.so + 0x2de9a] → [@ GeckoAppShellSupport::ReportJavaCrash] [@ dalvik-jit-code-cache (deleted) + 0x1bba] [@ libdvm.so + 0x2de9a]
(In reply to Sebastian Hengst - PTO, back April 3rd [:aryx][:archaeopteryx] (needinfo on intermittent or backout) from comment #36)
> Because Try data gets thrown away after 2 (?) weeks, new Try pushes were
> necessary and they show that 2018-02-28 had those failures but 2018-02-27

Ok, so it means that already mozilla-central builds from before 02-27 are affected. Can you please tell me what steps I have to follow to push such a simulation for earlier central builds? Specifically the patch which I have to apply.
You can find previous central-as-beta simulations in https://docs.google.com/document/d/1zywGgzGPC6FRNeFUdO8WxuP_6fj2hGU6jlXEt5niu64/edit?ts=5a663c34

Usually the 'Early Beta' lists all the patches needed to get beta working for that mozilla-central revision. By default, there are two: the base config changes and the early beta one. If the first push was busted, click on the oldest revision of the second Try push and then on the parent changeset (and repeat) to get the previous patches (fixes which already got pushed with the busted push 1) until you get one with many child revisions which is the base revision mentioned in the doc.
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1449824
(In reply to Sebastian Hengst - PTO, back April 3rd [:aryx][:archaeopteryx] (needinfo on intermittent or backout) from comment #41)
> Usually the 'Early Beta' lists all the patches needed to get beta working
> for that mozilla-central revision. By default, there are two: the base
> config changes and the early beta one. If the first push was busted, click
> on the oldest revision of the second Try push and then on the parent
> changeset (and repeat) to get the previous patches (fixes which already got
> pushed with the busted push 1) until you get one with many child revisions
> which is the base revision mentioned in the doc.

Sorry, but this doesn't make it clear to me. Are there no clear steps documented on the wiki in how to run those simulations?
Duplicate of this bug: 1399694
I tried to check via a one-click loaner but this feature currently doesn't work. So I have to wait until Tuesday next week.
Comment hidden (Intermittent Failures Robot)
Crash Signature: [@ GeckoAppShellSupport::ReportJavaCrash] [@ dalvik-jit-code-cache (deleted) + 0x1bba] [@ libdvm.so + 0x2de9a] → [@ GeckoAppShellSupport::ReportJavaCrash] [@ dalvik-jit-code-cache (deleted) + 0x1bba] [@ libdvm.so + 0x2de9a] [@ framework.odex]
Duplicate of this bug: 1450826
Duplicate of this bug: 1450825
Duplicate of this bug: 1450410
(In reply to Henrik Skupin (:whimboo) from comment #44)
> (In reply to Sebastian Hengst - PTO, back April 3rd [:aryx][:archaeopteryx]
> (needinfo on intermittent or backout) from comment #41)
> > Usually the 'Early Beta' lists all the patches needed to get beta working
> > for that mozilla-central revision. By default, there are two: the base
> > config changes and the early beta one. If the first push was busted, click
> > on the oldest revision of the second Try push and then on the parent
> > changeset (and repeat) to get the previous patches (fixes which already got
> > pushed with the busted push 1) until you get one with many child revisions
> > which is the base revision mentioned in the doc.
> 
> Sorry, but this doesn't make it clear to me. Are there no clear steps
> documented on the wiki in how to run those simulations?

By default there are 2 patches needed:
- the base config changes https://hg.mozilla.org/try/rev/36d2b37fa8a4c9a51499940ed40182ea5c0fe090
- the beta customizations https://hg.mozilla.org/try/rev/44be5bcf262de3bee43a2159cd0925b82c12bcce
Those are not stable, e.g. need to be modified to disable test suites on experimental platforms. They had been stored in Bugzilla (bug 1280663) but at the moment because of the evolving the patch versions from the previous central-as-beta version get used for the next one.

To get working builds, the patch from bug 1448544 needs to be applied (there is also a browser-chrome failure on OS X and Windows, but that can be ignored in this case - bug 1449187).

So with those 3 patches applied, just push normally to Try - builds and tests can be restricted as usual in the commit message.
Duplicate of this bug: 1451555
Yesterday I ran a lot of iterations of the screenshot test on a one-click loaner but without success. The crash never appeared. So I will have to check comment 51 next in how to push simulations of beta.
So I chatted with Sebastian and our next steps are:

* To push a new simulation for the changeset 218e085415a6 (Feb 26th) which was the last one that has the retry entries for Mn2
* Check if my changes for bug 1438679 might have turned those from retry to fail + crash detection
Here the new beta simulation pushes for changeset 218e085415a6:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=8449faa44ac6f6b4b7fc3f480632050c0828d331
https://treeherder.mozilla.org/#/jobs?repo=try&revision=98e593a5c2ff792f458497a17b63fe87b8e21660 (early beta)

Both show a number of retry jobs, which indicate that at this time we haven't had the crashes. I had a look at a log of one of those retry jobs but sadly the gecko.log file is truncated. Means the necessary information is not present:

https://treeherder.mozilla.org/logviewer.html#?job_id=172273864&repo=try&lineNumber=1956

> [task 2018-04-06T11:24:44.155Z] 11:24:44     INFO -  TEST-START | testing/marionette/harness/marionette_harness/tests/unit/test_screenshot.py TestScreenCaptureChrome.test_format_unknown
> [task 2018-04-06T11:24:50.069Z] 11:24:50  WARNING -  TEST-UNEXPECTED-ERROR | testing/marionette/harness/marionette_harness/tests/unit/test_screenshot.py TestScreenCaptureChrome.test_format_unknown | IOError: Process killed because the connection to Marionette server is lost. Check gecko.log for errors (Reason: No data received over socket)

gecko.log:
https://taskcluster-artifacts.net/G6LFe3zXQcS6e3Xp8u-E9Q/0/public/test_info//gecko.log

> 04-06 04:24:45.863 I/Gecko   (  731): 1523013885868	Marionette	DEBUG	Received DOM event beforeunload for about:blank
> 04-06 04:24:46.093 I/Gecko   (  731): 1523013886102	Marionette	DEBUG	Received DOM event pagehide for about:blank
> 04-06 04:24:46.173 I/Gecko   (  731): ++DOMWINDOW == 46 (0x61bde800) [pid = 731] [serial = 502] [outer = 0x626040c0]
EOF

I think something caused a hang here and maybe the adb connection to the emulator dropped. This might also explain the additional `DMError: Failed to remove connection forwarding.` errors.

I will try again with a one-click loaner but this time I will focus on the `test_click_scrolling.py` which seems to hang more frequently.

Geoff, if you have an idea please let me know. Especially if that is something my patch on bug 1438679 could have changed.
(In reply to Henrik Skupin (:whimboo) from comment #56)
> Here the new beta simulation pushes for changeset 218e085415a6:
> https://treeherder.mozilla.org/#/
> jobs?repo=try&revision=8449faa44ac6f6b4b7fc3f480632050c0828d331
> https://treeherder.mozilla.org/#/
> jobs?repo=try&revision=98e593a5c2ff792f458497a17b63fe87b8e21660 (early beta)
> 
> Both show a number of retry jobs, which indicate that at this time we
> haven't had the crashes. I had a look at a log of one of those retry jobs
> but sadly the gecko.log file is truncated. Means the necessary information
> is not present:

If you examine the logcat artifacts for those blue retry jobs, they all show crashes:

https://taskcluster-artifacts.net/Xe0WQbSzROKjvk112DSO6w/0/public/test_info//logcat-emulator-5554.log

04-06 04:32:34.383   727   754 I Gecko   : 1523014354388	Marionette	DEBUG	Received DOM event pageshow for about:blank
04-06 04:32:34.492   727   727 I GeckoTabs: zerdatime 2356909 - page load stop
04-06 04:32:34.492   727   727 D GeckoToolbar: onTabChanged: STOP
04-06 04:32:34.502   727   727 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: STOP
04-06 04:32:34.743   727   727 W google-breakpad: ExceptionHandler::GenerateDump cloned child 
04-06 04:32:34.743   727   727 W google-breakpad: 2030d @0
04-06 04:32:34.753   727   727 W google-breakpad: 
04-06 04:32:34.753   727   727 W google-breakpad: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
04-06 04:32:34.774  2030  2030 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
04-06 04:32:36.893   727   754 I Gecko   : 1523014356898	Marionette	TRACE	91 <- [1,5,null,{}]
04-06 04:32:37.262    38    38 D Zygote  : Process 727 terminated by signal (11)
04-06 04:32:37.282   277   288 I ActivityManager: Process org.mozilla.firefox_beta (pid 727) has died.
04-06 04:32:37.292   277   435 I WindowState: WIN DEATH: Window{41c5d780 u0 org.mozilla.firefox_beta/org.mozilla.gecko.BrowserApp}

I suppose the Marionette harness doesn't notice the crash but times out on an adb command instead, triggering the retry?? I haven't seen that before -- not sure what is going wrong with the crash reporting.
I also noticed one likely-actionable crash in one of the logcats (but I only found one, after scanning 10 or so logcats):

https://taskcluster-artifacts.net/KfDfjx2HRSmeKao4ugN4Bw/2/public/test_info//logcat-emulator-5554.log

04-06 05:56:35.244   735   762 I Gecko   : 1523019395246	Marionette	DEBUG	Received DOM event DOMContentLoaded for http://172.17.0.5:39180/clicks.html
04-06 05:56:35.515   735   762 I Gecko   : 1523019395520	Marionette	DEBUG	Received DOM event pageshow for http://172.17.0.5:39180/clicks.html
04-06 05:56:35.576   735   735 D GeckoToolbar: onTabChanged: PAGE_SHOW
04-06 05:56:35.576   735   735 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: PAGE_SHOW
04-06 05:56:35.765   735   735 D GeckoToolbar: onTabChanged: FAVICON
04-06 05:56:35.765   735   735 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: FAVICON
04-06 05:56:36.044   735   737 D dalvikvm: JIT code cache reset in 225 ms (1048492 bytes 1/0)
04-06 05:56:36.044   735   735 I GeckoTabs: zerdatime 2078908 - page load stop
04-06 05:56:36.054   735   735 D GeckoToolbar: onTabChanged: STOP
04-06 05:56:36.084   735   735 D AndroidRuntime: Shutting down VM
04-06 05:56:36.084   735   735 W dalvikvm: threadid=1: thread exiting with uncaught exception (group=0x414c8700)
04-06 05:56:36.184   735   737 D dalvikvm: GC_CONCURRENT freed 1985K, 19% free 14553K/17820K, paused 14ms+270ms, total 597ms
04-06 05:56:36.204   735   735 E GeckoCrashHandler: >>> REPORTING UNCAUGHT EXCEPTION FROM THREAD 1 ("main")
04-06 05:56:36.204   735   735 E GeckoCrashHandler: java.lang.ArrayStoreException: android.text.method.SingleLineTransformationMethod cannot be stored in an array of type android.text.SpanWatcher[]
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.text.SpannableStringBuilder.getSpans(SpannableStringBuilder.java:841)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.text.SpannableStringBuilder.sendSpanAdded(SpannableStringBuilder.java:975)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.text.SpannableStringBuilder.setSpan(SpannableStringBuilder.java:688)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.text.SpannableStringBuilder.setSpan(SpannableStringBuilder.java:588)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.text.Selection.setSelection(Selection.java:78)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.text.Selection.setSelection(Selection.java:87)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.text.method.ArrowKeyMovementMethod.initialize(ArrowKeyMovementMethod.java:302)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.widget.TextView.setText(TextView.java:3759)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.widget.TextView.setText(TextView.java:3629)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.widget.EditText.setText(EditText.java:80)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.toolbar.ToolbarEditText.setText(ToolbarEditText.java:141)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.widget.TextView.setText(TextView.java:3604)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.toolbar.ToolbarEditLayout.setText(ToolbarEditLayout.java:266)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.toolbar.BrowserToolbar.updateDisplayLayout(BrowserToolbar.java:655)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.toolbar.BrowserToolbar.onTabChanged(BrowserToolbar.java:532)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.Tabs$5.run(Tabs.java:792)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.Tabs.notifyListeners(Tabs.java:798)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.Tabs.notifyListeners(Tabs.java:772)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.Tabs.handleMessage(Tabs.java:636)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at org.mozilla.gecko.EventDispatcher$2.run(EventDispatcher.java:341)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.os.Handler.handleCallback(Handler.java:730)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.os.Handler.dispatchMessage(Handler.java:92)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.os.Looper.loop(Looper.java:137)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at android.app.ActivityThread.main(ActivityThread.java:5103)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at java.lang.reflect.Method.invokeNative(Native Method)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at java.lang.reflect.Method.invoke(Method.java:525)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
04-06 05:56:36.204   735   735 E GeckoCrashHandler: 	at dalvik.system.NativeStart.main(Native Method)
04-06 05:56:36.234   735   735 F MOZ_CRASH: Hit MOZ_CRASH(Uncaught Java exception) at /builds/worker/workspace/build/src/widget/android/nsAppShell.cpp:276
04-06 05:56:36.304   735   735 W google-breakpad: ExceptionHandler::GenerateDump cloned child 
04-06 05:56:36.304   735   735 W google-breakpad: 2011n) at /builds/worker/workspaß
04-06 05:56:36.304   735   735 W google-breakpad: 
04-06 05:56:36.304   735   735 W google-breakpad: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
04-06 05:56:36.324  2011  2011 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
04-06 05:56:38.655    38    38 D Zygote  : Process 735 terminated by signal (11)
04-06 05:56:38.675   278   478 I ActivityManager: Process org.mozilla.firefox_beta (pid 735) has died.
(In reply to Geoff Brown [:gbrown] from comment #57)
> If you examine the logcat artifacts for those blue retry jobs, they all show
> crashes:

Oh, I have never had the idea to actually also check the logcat logs. That's interesting indeed.

So let me check that on a more recent Mn2 failure on autoland:

https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=54b68ea887283ea0cfa87e10b14e72568b8d91fc&filter-searchStr=mn%20android&selectedJob=172331588

https://taskcluster-artifacts.net/L6lzLWgPSUON35GvYJfqTg/0/public/test_info//logcat-emulator-5554.log

> I suppose the Marionette harness doesn't notice the crash but times out on
> an adb command instead, triggering the retry?? I haven't seen that before --
> not sure what is going wrong with the crash reporting.

In newer builds the harness notices the crash. See the above links. And I wonder if that is possible now due to my patch on bug 1438679. But not sure.

(In reply to Geoff Brown [:gbrown] from comment #58)
> I also noticed one likely-actionable crash in one of the logcats (but I only
> found one, after scanning 10 or so logcats):

My above referenced job has the same stack, likewise all the other failing Mn2 jobs on Android:

https://treeherder.mozilla.org/#/jobs?repo=autoland&filter-searchStr=mn2%20android&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=running&filter-resultStatus=pending&filter-resultStatus=runnable

Sebastian or James could one of you have a look at the stack in comment 58, and if this makes this bug actionable now? Thanks.
Flags: needinfo?(snorp)
Flags: needinfo?(s.kaspari)
Duplicate of this bug: 1452456
Duplicate of this bug: 1452457
Duplicate of this bug: 1452458
Duplicate of this bug: 1452427
Duplicate of this bug: 1452430
Comment hidden (Intermittent Failures Robot)
Susheel, it looks like comment #58 has an actionable frontend (toolbar) crash.
Flags: needinfo?(snorp) → needinfo?(sdaswani)

Comment 68

Last year
Vlad, can one of our look at this crash, assuming is not working on the leanplum expansion tickets?
Flags: needinfo?(sdaswani) → needinfo?(vlad.baicu)
Whiteboard: [Leanplum] [60]
Crash Signature: [@ GeckoAppShellSupport::ReportJavaCrash] [@ dalvik-jit-code-cache (deleted) + 0x1bba] [@ libdvm.so + 0x2de9a] [@ framework.odex] → [@ GeckoAppShellSupport::ReportJavaCrash] [@ dalvik-jit-code-cache (deleted) + 0x1bba] [@ libdvm.so + 0x2de9a] [@ libdvm.so + 0x81f52] [@ framework.odex]
Assignee

Updated

Last year
Assignee: nobody → vlad.baicu
Flags: needinfo?(vlad.baicu)
Duplicate of this bug: 1453860
Duplicate of this bug: 1453845
Duplicate of this bug: 1453941
Duplicate of this bug: 1454017
Duplicate of this bug: 1454163
Duplicate of this bug: 1454164
Comment hidden (Intermittent Failures Robot)
Vlad, do you have an update for us?
Flags: needinfo?(s.kaspari) → needinfo?(vlad.baicu)
Comment hidden (mozreview-request)
Assignee

Comment 78

Last year
I have tried to reproduce the crash but with no success. The stacktrace points to a SingleLineTransformation issue on a SpannableString. This transformation is enabled by the singleLine attribute which is marked as deprecated since API 3.

It was deprecated because its performance is poor, relative to its successor, maxLines. It uses SingleLineTransformationMethod to replace newlines and carriage returns in the String you place in the TextView, unlike maxLines, which "just" adjusts the height of the TextView based on the number of lines and does no String replacing. 

This is a speculative fix where by using the maxLines attribute instead of the deprecated singleLine we can avoid the crash related to the TransformationMethod.
Flags: needinfo?(vlad.baicu)
Comment on attachment 8968167 [details]
Bug 1442054 Replaced deprecated singleLine attribute with maxLines=1

https://reviewboard.mozilla.org/r/236842/#review242846

Vlad's description of the speculative fix in comment 78 seems reasonable and it's correct that this code has been deprecated for a while and Google has a history of breaking deprecated APIs: lgtm!

Valid, next time include that great description in the extended commit message summary please! It's really helpful to have this information in version control (and not hidden in a long series of comments) for debugging purposes! :)
Attachment #8968167 - Flags: review?(michael.l.comella) → review+
Landing this: please reopen if it doesn't fix the issue (or feel free to use the leave-open keyword and follow-up with a close if that's preferred). To be explicit, I'm personally not going to be the one to follow-up on this issue.

Comment 81

Last year
Pushed by michael.l.comella@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/f22a918616f8
Replaced deprecated singleLine attribute with maxLines=1 r=mcomella
It looks like that with the patch in place we still have crashes. Those maybe be different or overlay the original filed issue here, given that recently marked duplicates also showed a different stack. Vlad maybe you can have a look at it again? Do we need a new bug and assignee?

https://treeherder.mozilla.org/logviewer.html#?job_id=174036109&repo=autoland&lineNumber=2040

> 04-16 23:43:39.044   740   767 W google-breakpad: ExceptionHandler::GenerateDump cloned child 
> 04-16 23:43:39.044   740   767 W google-breakpad: 2337
> 04-16 23:43:39.044   740   767 W google-breakpad: 
> 04-16 23:43:39.053   740   767 W google-breakpad: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
> 04-16 23:43:39.053  2337  2337 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
> 04-16 23:43:41.224    38    38 D Zygote  : Process 740 terminated by signal (11)
> 04-16 23:43:41.234   277   445 I ActivityManager: Process org.mozilla.fennec_aurora (pid 740) has died.
> 04-16 23:43:41.244   277   445 W ActivityManager: Scheduling restart of crashed service org.mozilla.fennec_aurora/org.mozilla.gecko.media.MediaControlService in 5000ms
> 04-16 23:43:41.264   277   288 I WindowState: WIN DEATH: Window{4198be28 u0 org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp}
> 04-16 23:43:41.264   277   288 W WindowManager: Force-removing child win Window{41c1baf8 u0 SurfaceView} from container Window{4198be28 u0 org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp}
> 04-16 23:43:41.424   277   445 W ActivityManager: Force removing ActivityRecord{418c9938 u0 org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp}: app died, no saved state
> 04-16 23:43:41.454   277   289 W WindowManager: Failed looking up window
> 04-16 23:43:41.454   277   289 W WindowManager: java.lang.IllegalArgumentException: Requested window android.os.BinderProxy@4193fe20 does not exist
> 04-16 23:43:41.454   277   289 W WindowManager: 	at com.android.server.wm.WindowManagerService.windowForClientLocked(WindowManagerService.java:7630)
> 04-16 23:43:41.454   277   289 W WindowManager: 	at com.android.server.wm.WindowManagerService.windowForClientLocked(WindowManagerService.java:7621)
> 04-16 23:43:41.454   277   289 W WindowManager: 	at com.android.server.wm.WindowState$DeathRecipient.binderDied(WindowState.java:1000)
> 04-16 23:43:41.454   277   289 W WindowManager: 	at android.os.BinderProxy.sendDeathNotice(Binder.java:470)
> 04-16 23:43:41.454   277   289 W WindowManager: 	at dalvik.system.NativeStart.run(Native Method)
> 04-16 23:43:41.454   277   289 I WindowState: WIN DEATH: null
> 04-16 23:43:42.124   403   403 W EGL_emulation: eglSurfaceAttrib not implemented
> 04-16 23:43:42.184   277   289 W InputMethodManagerService: Got RemoteException sending setActive(false) notification to pid 740 uid 10043
> 04-16 23:43:42.264   403   403 D dalvikvm: GC_FOR_ALLOC freed 235K, 21% free 4012K/5016K, paused 36ms, total 41ms
Flags: needinfo?(vlad.baicu)
Keywords: leave-open
Assignee

Comment 84

Last year
This looks like a different stacktrace, I'm not sure if it's related to the issue we addressed, it might be a different bug.
Flags: needinfo?(vlad.baicu)
Ok, in that case lets mark this bug as fixed. Ryan, would you mind taking care of the uplift of the patch to mozilla-beta?
Flags: needinfo?(ryanvm)
Keywords: leave-open
Summary: Frequent Mn failures | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1bba][@ libdvm.so + 0x2de9a] when Gecko 60 merges to Beta on 2018-03-01 → Frequent Mn failures due to SingleLineTransformation | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1bba][@ libdvm.so + 0x2de9a] when Gecko 60 merges to Beta on 2018-03-01
Target Milestone: --- → Firefox 61
It's not a test-only change, so it needs to go through the regular approval process. Also, is there a new bug filed for starring the remaining failures?
Flags: needinfo?(ryanvm) → needinfo?(vlad.baicu)
Assignee

Comment 87

Last year
Looks like Henrik filed a new bug for the other failure, do I need to do something more here ?
Flags: needinfo?(vlad.baicu)
Yes, the NI was to do the Beta approval request on the attached patch.
Flags: needinfo?(vlad.baicu)
(In reply to Ryan VanderMeulen [:RyanVM] from comment #88)
> Yes, the NI was to do the Beta approval request on the attached patch.

Even when it's tracking+?
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Yes, tracking+ and patch approval are two separate things. One says "we care about this specific bug for this release"  and the other says "this specific fix is worth taking in this release". One is bug-level, one is patch-level. We wouldn't take a high-risk patch for a bug late in a cycle even if it was tracking+.
Assignee

Comment 91

Last year
Comment on attachment 8968167 [details]
Bug 1442054 Replaced deprecated singleLine attribute with maxLines=1

Approval Request Comment
[Feature/Bug causing the regression]: Unknown
[User impact if declined]: Unknown, Mn reports very frequent failures.
[Is this code covered by automated tests?]: Yes, this is covered by Marionette tests.

[Has the fix been verified in Nightly?]: No
[Needs manual test from QE? If yes, steps to reproduce]: Don't have any steps to reproduce, however a manual test of the widget in order to ensure that its functionality has not changed in any way thanks to the new attribute would probably provide a higher level of confidence.

[List of other uplifts needed for the feature/fix]: None
[Is the change risky?]: Low.
[Why is the change risky/not risky?]: We're replacing the deprecated singleLine attribute with the maxLines attribute in order to achieve the same behavior of the view. Through this change the crash can be averted no longer leading to a SingleLineTransformationMethod crash.
[String changes made/needed]: None

I'm still getting used with all these procedures, sorry about that.
Flags: needinfo?(vlad.baicu)
Attachment #8968167 - Flags: approval-mozilla-beta?
Comment on attachment 8968167 [details]
Bug 1442054 Replaced deprecated singleLine attribute with maxLines=1

Not sure how much of a difference it'll make in practice, but doesn't sound like it can really hurt either. Approved for 60.0b15.
Attachment #8968167 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Comment hidden (Intermittent Failures Robot)
Assignee

Updated

Last year
Assignee: vlad.baicu → nobody
Assignee: nobody → vlad.baicu
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=175226785&repo=autoland&lineNumber=8317

[task 2018-04-24T02:01:59.051Z] 02:01:59  WARNING -  PROCESS-CRASH | testing/marionette/harness/marionette_harness/tests/unit/test_screenshot.py TestScreenCaptureContent.test_capture_viewport_after_scroll | application crashed [@ libdvm.so + 0x66c68]
[task 2018-04-24T02:01:59.052Z] 02:01:59     INFO -  Crash dump filename: /tmp/tmphRmFum/75066601-b7b8-2ba8-9967-f33335250254.dmp
[task 2018-04-24T02:01:59.052Z] 02:01:59     INFO -  Operating system: Android
[task 2018-04-24T02:01:59.052Z] 02:01:59     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2018-04-24T02:01:59.052Z] 02:01:59     INFO -  CPU: arm
[task 2018-04-24T02:01:59.053Z] 02:01:59     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2018-04-24T02:01:59.057Z] 02:01:59     INFO -       1 CPU
[task 2018-04-24T02:01:59.057Z] 02:01:59     INFO -  GPU: UNKNOWN
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -  Crash reason:  SIGSEGV
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -  Crash address: 0x1000910
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -  Process uptime: not available
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -  Thread 12 (crashed)
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -   0  libdvm.so + 0x66c68
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -       r0 = 0x414b69f8    r1 = 0x408e7c88    r2 = 0x0000005b    r3 = 0x2a016920
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -       r4 = 0x0000b6f4    r5 = 0x00000000    r6 = 0x55f073cf    r7 = 0x422fb760
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -       r8 = 0x010008f8    r9 = 0x00000001   r10 = 0x52a80ed0   r12 = 0x2a4c4ae4
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -       fp = 0x41a72bf0    sp = 0x52dfd528    lr = 0x55f00218    pc = 0x408a4c68
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -      Found by: given as instruction pointer in context
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -   1  dalvik-heap (deleted) + 0x5bdbee
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -       sp = 0x52dfd52c    pc = 0x41a72bf0
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -   2  libdvm.so + 0xae19e
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -       sp = 0x52dfd530    pc = 0x408ec1a0
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -   3  libdvm.so + 0x29dee
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -       sp = 0x52dfd538    pc = 0x40867df0
[task 2018-04-24T02:01:59.058Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -   4  libdvm.so + 0x6bc63
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -       sp = 0x52dfd540    pc = 0x408a9c65
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -   5  dalvik-heap (deleted) + 0x67e6
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -       sp = 0x52dfd544    pc = 0x414bb7e8
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -   6  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x1f7432
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -       sp = 0x52dfd548    pc = 0x520e9434
[task 2018-04-24T02:01:59.059Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.060Z] 02:01:59     INFO -   7  libdvm.so + 0x66c27
[task 2018-04-24T02:01:59.060Z] 02:01:59     INFO -       sp = 0x52dfd558    pc = 0x408a4c29
[task 2018-04-24T02:01:59.060Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.061Z] 02:01:59     INFO -   8  dalvik-heap (deleted) + 0x5bdbee
[task 2018-04-24T02:01:59.061Z] 02:01:59     INFO -       sp = 0x52dfd564    pc = 0x41a72bf0
[task 2018-04-24T02:01:59.061Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.062Z] 02:01:59     INFO -   9  dalvik-jit-code-cache (deleted) + 0x216
[task 2018-04-24T02:01:59.062Z] 02:01:59     INFO -       sp = 0x52dfd568    pc = 0x55f00218
[task 2018-04-24T02:01:59.062Z] 02:01:59     INFO -      Found by: stack scanning
[task 2018-04-24T02:01:59.062Z] 02:01:59     INFO -  10  libdvm.so + 0x2de9a
[task 2018-04-24T02:01:59.063Z] 02:01:59     INFO -       sp = 0x52dfd574    pc = 0x4086be9c
[task 2018-04-24T02:01:59.063Z] 02:01:59     INFO -      Found by: stack scanning
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Sorry, found the other bug in the comment, please disregard. Thank you.
Status: REOPENED → RESOLVED
Closed: Last yearLast year
Resolution: --- → FIXED
Comment hidden (Intermittent Failures Robot)
(In reply to OrangeFactor Robot from comment #97)
> 4 failures in 780 pushes (0.005 failures/push) were associated with this bug
> in the last 7 days.    

None of those failures are correctly starred. Instead those show bug 1454680.
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1440999
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.